#include "chdecl.h"
void CH_formaterror_proglit(current, sched, cop)
#define ARGUMENTS 5
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb1;
    case 2: goto c2;
    case 3: goto c9;
    case 4: goto c39;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb1:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c2:
/* copy 4 3.0 */
  REF(4) = REF(3)DOT(0);
/* new_table 3.1 , 1 */
  if ((ch_returncode = che_new_table(DEF(3)DOT(1),QUAL(1),sched)) != Normal) 
     goto ch_raise_exception;
/* ige . 4 =(0) , 9 */
  if ( REF(4).value.integer >= 0 ) goto c9;
/* inegate 4 4 */
  REF(4).value.integer = -REF(4).value.integer;
  REF(4).tsdr = & dr_integer;
c9:
/* noop */
  
/* ilt . 4 =(10) , 24 */
  if ( REF(4).value.integer < 10 ) goto c24;
/* imod 5 4 =(10) */
  if (!chf_imod(DEF(5),REF(4).value.integer,10)) goto ch_depletion;
/* iadd 6 =(48) 5 */
  if (!chf_iadd(DEF(6),48,REF(5).value.integer)) goto ch_depletion;
/* icvt_enum 7 6 , 128 */
  if (REF(6).value.integer < 0 || REF(6).value.integer >= 128)
     goto ch_range_error;
  REF(7).value.ord_enum = REF(6).value.integer;
  REF(7).tsdr = & dr_ord_enumeration;
/* insert_at 3.1 7 =(0) */
  if ((ch_returncode = insertfunc(DEF(3)DOT(1),DEF(7),TRUE, 0)) != Normal)
     goto ch_raise_exception;
/* idivide 4 4 =(10) */
  REF(4).value.integer = REF(4).value.integer/10;
  REF(4).tsdr = & dr_integer;
/* branch , 9 */
   goto c9;
c24:
/* noop */
  
/* iadd 8 =(48) 4 */
  if (!chf_iadd(DEF(8),48,REF(4).value.integer)) goto ch_depletion;
/* icvt_enum 9 8 , 128 */
  if (REF(8).value.integer < 0 || REF(8).value.integer >= 128)
     goto ch_range_error;
  REF(9).value.ord_enum = REF(8).value.integer;
  REF(9).tsdr = & dr_ord_enumeration;
/* insert_at 3.1 9 =(0) */
  if ((ch_returncode = insertfunc(DEF(3)DOT(1),DEF(9),TRUE, 0)) != Normal)
     goto ch_raise_exception;
/* ige . 3.0 =(0) , 36 */
  if ( REF(3)DOT(0).value.integer >= 0 ) goto c36;
/* ordenum_lit 10 , 45 */
  REF(10).value.ord_enum = 45;
  REF(10).tsdr = & dr_ord_enumeration;
/* insert_at 3.1 10 =(0) */
  if ((ch_returncode = insertfunc(DEF(3)DOT(1),DEF(10),TRUE, 0)) != Normal)
     goto ch_raise_exception;
c36:
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
c39:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
